'use strict';

exports.__esModule = true;
exports.default = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _agent = require('./agents/clippy/agent');

var _agent2 = _interopRequireDefault(_agent);

var _map = require('./agents/clippy/map.png');

var _map2 = _interopRequireDefault(_map);

var _Animator = require('./Animator');

var _Animator2 = _interopRequireDefault(_Animator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Clippy = function (_PureComponent) {
  _inherits(Clippy, _PureComponent);

  function Clippy() {
    _classCallCheck(this, Clippy);

    return _possibleConstructorReturn(this, _PureComponent.apply(this, arguments));
  }

  Clippy.prototype.render = function render() {
    var _props = this.props,
        animation = _props.animation,
        repeat = _props.repeat,
        rest = _objectWithoutProperties(_props, ['animation', 'repeat']);

    var _Agent$framesize = _agent2.default.framesize,
        width = _Agent$framesize[0],
        height = _Agent$framesize[1],
        animations = _agent2.default.animations;

    return _react2.default.createElement(_Animator2.default, {
      width: width,
      height: height,
      spriteUrl: _map2.default,
      animations: animations,
      animation: animation,
      repeat: repeat
    });
  };

  return Clippy;
}(_react.PureComponent);

exports.default = Clippy;
module.exports = exports['default'];